### Constructor

# Gtk.AppChooserDialog.new

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GFile* file
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided `GFile`.

The dialog will show applications that can open the file.

#### Parameters

`parent` | `GtkWindow`
| a `GtkWindow`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`flags` | `GtkDialogFlags`
| flags for this dialog
`file` | `GFile*`
| a `GFile`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a newly created `GtkAppChooserDialog`
Ownership is not transferred to the caller